<?php
/*
Plugin Name: Bangla Press
Plugin URI: http://bdweblab.com/plugins/bangla-press-wordpress-mobile-plugin/
Description: Simply Turn Your Bangla Wordpress Blog into a Bangla Mobile blog.
Version: 1.0
Author: Cx Rana
Author URI: http://bdweblab.com/about-us

Copyright 2012  Cx Rana  (email: ahrnetwork@gmail.com)

This program is free software; you can not redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
global $wpdb;

// Load the config
require_once(dirname(__FILE__) . '/system/config/config.php');

// Load the helpers
require_once(dirname(__FILE__) . '/system/helpers/functions.php');

// Load the versions (must be loaded after the function helpers)
require_once(dirname(__FILE__) . '/system/config/versions.php');

// Load the core class
require_once(dirname(__FILE__) . '/system/classes/core.php');

if (class_exists('BanglaPress_core'))
{	
	// New BanglaPress object
	$Banglapress = new BanglaPress_core;
	
	// Setup the installer on activation of the plugin
	register_activation_hook(__FILE__, array(&$Banglapress, 'load_activation'));
	
	// Shut down the plugin on deactivation
	register_deactivation_hook(__FILE__, array(&$Banglapress, 'load_deactivation'));
	
	// Setup admin panel only if we are inside the admin area, otherwise run the normal render code
	if (is_admin())
	{
		// Setup the admin area
		$Banglapress->create_admin();
	}
	else
	{
		// Start a session if not started already
		if ( ! session_id())
		{
			@session_start();
		}
		
		// Load the ad/analytics helpers
		require_once(dirname(__FILE__) . '/system/helpers/ad_functions.php');
		
		// Initialize the BanglaPress check logic and rendering
		$Banglapress->load_site();
	}
}

// Are we uninstalling the plugin?
if (function_exists('register_uninstall_hook'))
{
	register_uninstall_hook(__FILE__, 'mopr_load_uninstall');
}

if ( ! function_exists('mopr_load_uninstall'))
{
	function mopr_load_uninstall()
	{
		require_once(dirname(__FILE__) . '/system/classes/uninstall.php');
		$uninstall = new BanglaPress_uninstall;
	}
}		
?>