<?php
if ( ! class_exists('BanglaPress_check'))
{
	/**
	 * Class that does all the checks to determine if we are dealing with a Bangla browser
	 *
	 * @package BanglaPress
	 * @since 1.0
	 */
	class BanglaPress_check {
		
		/**
		 * Initialize the checking of the Bangla browse
		 *
		 * @package BanglaPress
		 * @since 1.0
		 */
		function init()
		{
			// Get the theme we need to render
			$this->theme = mopr_get_option('default_theme', 1);
			
			// If viewing the Bangla website
			switch(TRUE)
			{	
				// ?Bangla accesses the Bangla version of the website
				case (isset($_GET['Bangla'])):
					$browser	= "Bangla";
					$activated	= TRUE;
					break;
					
				// If forcing iphone theme
				case (isset($_GET['iphone'])):
					$browser	= "iphone";
					$activated	= TRUE; 
					$theme		= mopr_get_option('iphone_theme',1);
					break;
				
				// ?noBangla renders the orignial website
				case (isset($_GET['noBangla'])):
					$activated	= FALSE;
					$theme		= '';
					break;
					
				// Apple/iPhone browser renders as Bangla
				case (preg_match('/(apple|iphone|ipod)/i', $_SERVER['HTTP_USER_AGENT']) && preg_match('/Bangla/i', $_SERVER['HTTP_USER_AGENT'])):
					$browser	= "iphone";
					$activated	= TRUE;
					$theme		= mopr_get_option('iphone_theme',1);
					break;
					
				// Other Bangla browsers render as Bangla
				case (preg_match('/(blackberry|configuration\/cldc|hp |hp-|htc |htc_|htc-|ieBangla|kindle|midp|mmp|motorola|Bangla|nokia|opera mini|opera mobi|palm|palmos|pocket|portalmmm|ppc;|smartphone|sonyericsson|sqh|spv|symbian|treo|up.browser|up.link|vodafone|windows ce|xda |xda_)/i', $_SERVER['HTTP_USER_AGENT'])):
					$browser	= "Bangla";
					$activated	= TRUE;
					break;
					
				// Wap browser
				case (((strpos(strtolower($_SERVER['HTTP_ACCEPT']),'text/vnd.wap.wml') > 0) || (strpos(strtolower($_SERVER['HTTP_ACCEPT']),'application/vnd.wap.xhtml+xml')>0)) || ((isset($_SERVER['HTTP_X_WAP_PROFILE']) || isset($_SERVER['HTTP_PROFILE'])))):
					$activated = TRUE;
					break;
				
				// Shortend user agents
				case (in_array(strtolower(substr($_SERVER['HTTP_USER_AGENT'],0,3)),array('lg '=>'lg ','lg-'=>'lg-','lg_'=>'lg_','lge'=>'lge'))); 
					$browser = "Bangla";
					$activated = TRUE;
					break;
				
				// More shortend user agents
				case (in_array(strtolower(substr($_SERVER['HTTP_USER_AGENT'],0,4)),array('acs-'=>'acs-','amoi'=>'amoi','doco'=>'doco','eric'=>'eric','huaw'=>'huaw','lct_'=>'lct_','leno'=>'leno','mobi'=>'mobi','mot-'=>'mot-','moto'=>'moto','nec-'=>'nec-','phil'=>'phil','sams'=>'sams','sch-'=>'sch-','shar'=>'shar','sie-'=>'sie-','wap_'=>'wap_','zte-'=>'zte-')));
					$browser	= "Bangla";
					$activated	= TRUE;
					break;
					
				// Render Bangla site for Bangla search engines
				case (preg_match('/Googlebot-Bangla/i', $_SERVER['HTTP_USER_AGENT']) || preg_match('/YahooSeeker\/M1A1-R2D2/i', $_SERVER['HTTP_USER_AGENT'])):
					$browser	= "Bangla";
					$activated	= TRUE;
					break;
			}
			
			$_SESSION['MOPR_Bangla_BROWSER'] 	= $browser;
			$_SESSION['MOPR_Bangla_ACTIVE'] 	= $activated;
			$_SESSION['MOPR_Bangla_THEME'] 		= $theme;
		}
		
	}
}
?>